
Katello - Feature #36539

Allow deleting tags and untagging manifests from Katello

06/27/2023 02:36 PM - Samir Jha

Status: New   

Priority: Normal   

Assignee:    

Category: Repositories   

Target version: Katello 4.13.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

For some reason (Probably Pulp2 specific reasons) we don't allow deletion of docker tags or untagging manifests. These workflows

are supported in pulp_container and we should also support these in katello.

Refer to https://docs.pulpproject.org/pulp_container/workflows/manage-content.html#remove-content-from-a-repository for more

details.

Ina's message prompting this feature request in katello:

you can 1) delete tag, and it will delete it's manifest. blob(unreferenced by other manifests), et

c 2) untag the manifest and that will only remove tag

History

#1 - 06/28/2023 05:44 PM - Samir Jha

- Category changed from Container to Repositories

- Target version set to Katello 4.11.0

- Triaged changed from No to Yes

#2 - 12/20/2023 04:20 PM - Samir Jha

- Target version changed from Katello 4.11.0 to Katello 4.13.0
